<template>
  <div class="goods-manage-wrap">
    <div class="buttonBox">
      <el-button
        v-for="(item,index) in headerData"
        :key="index"
        size="small"
        :class="{ active: buttonshow==index }"
        @click="headerButtonClick(index,item.status)"
      >{{item.statusName}}（{{item.statusCount}}）</el-button>
    </div>
    <div class="filterBox">
      <div class="homeBoxTop">
        <span>
          <i class="icon iconfont iconsousuo"></i>&nbsp;筛选查询
        </span>
        <div class="rightBox">
          <span @click="showHelp()">
            <i class="el-icon-arrow-down" v-show="!isShow"></i>
            <i class="el-icon-arrow-up" v-show="isShow"></i>&nbsp;
            <i v-show="isShow">收起</i>
            <i v-show="!isShow">展开</i>&nbsp;筛选
          </span>
          <el-button size="small" class="w80 h40" @click="search">查询结果</el-button>
          <el-button size="small" class="w80 h40" @click="reset">重置</el-button>
        </div>
      </div>
      <el-collapse-transition>
        <div class="homeBoxBottom" v-if="isShow">
          <el-row style="width:100%">
            <el-col :span="8" class="el-col">
              <span class="span-style">姓名：</span>
              <el-select
                v-model="list.projectId"
                filterable
                remote
                clearable
                placeholder="请输入姓名"
                :remote-method="goodsNameRemote"
                style="margin-left:0px;"
                :loading="loading"
              >
                <el-option
                  v-for="item in projectName"
                  :key="item.id"
                  :label="item.name"
                  :value="item.id"
                ></el-option>
              </el-select>
            </el-col>
          </el-row>
        </div>
      </el-collapse-transition>
    </div>
    <div class="listBox">
      <div class="listBoxTop">
        <div class="listBoxTop-left">
          <span>
            <i class="iconfont iconshujuliebiao"></i>数据列表
          </span>
        </div>
        <div class="listBoxRight">
          <el-button size="small" @click="exportGoods">
            <i class="iconfont icondaochu"></i>导出
          </el-button>
          <el-button size="small" @click="addUser">
            <i class="iconfont icontianjiashangpin"></i>
            <span>添加</span>
          </el-button>
        </div>
      </div>
      <el-table
        :data="tableData"
        ref="multipleTable"
        border=""
        style="width: 100%"
        size="small">
        <el-table-column 
          type="selection" 
          fixed="left" 
          width="55">
        </el-table-column>
        <el-table-column 
          prop="id" 
          label="用户ID" 
          align="center">
        </el-table-column>
        <el-table-column 
          prop="userName" 
          label="账号" 
          align="center">
        </el-table-column>
        <el-table-column 
          prop="realName" 
          label="姓名" 
          align="center">
        </el-table-column>
        <el-table-column 
          prop="phone" 
          label="手机号" 
          align="center">
        </el-table-column>
        <el-table-column 
          prop="status" 
          label="状态" 
          align="center">
        </el-table-column>
        <el-table-column fixed="right" label="操作" align="center" min-width="150px">
          <template slot-scope="scope">
            <el-button type="text" size="small" @click="editUser(scope.row.id)">编辑</el-button>
            <el-button type="text" size="small" @click="goodsDisable(scope.row.id)">禁用</el-button>
            <el-button type="text" size="small" @click="goodsEnable(scope.row.id)">启用</el-button>
            <el-button type="text" size="small" @click="setRole(scope.row.id)">角色设置</el-button>
          </template>
        </el-table-column>
      </el-table>
    </div>
    <div class="block" v-show="total!=0">
      <el-pagination
        @current-change="currentPageChange"
        @size-change="pageSizeChange"
        :current-page="list.pageNum"
        :page-size="list.pageSize"
        :page-sizes="[10,20,30,40,50,100,200,500]"
        layout="total,sizes, prev, pager, next, jumper"
        :total="list.total"
      ></el-pagination>
    </div>

    <el-dialog :title="tipsTitle" :visible.sync="tipsDialog" width="30%" center>
      <span>{{tipsText}}</span>
      <span slot="footer" class="dialog-footer">
        <el-button @click="tipsDialog = false">取 消</el-button>
        <el-button type="primary" @click="tipsDialog = false">确 定</el-button>
      </span>
    </el-dialog>

    <el-dialog :title="userTitle" :visible.sync="dialogUser">
      <el-form :model="form">
        <el-form-item label="账号名：">
          <el-row>
            <el-col :span="8">
              <el-input v-model="form.userName" ></el-input>
            </el-col>
          </el-row>
        </el-form-item>
        <el-form-item label="密码：">
          <el-row>
            <el-col :span="8">
              <el-input v-model="form.name" ></el-input>
            </el-col>
          </el-row>
        </el-form-item>
        <el-form-item label="姓名：">
          <el-row>
            <el-col :span="8">
              <el-input v-model="form.realName" ></el-input>
            </el-col>
          </el-row>
        </el-form-item>
        <el-form-item label="手机号：">
          <el-row>
            <el-col :span="8">
              <el-input v-model="form.phone" ></el-input>
            </el-col>
          </el-row>
        </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button @click="dialogUser = false">取 消</el-button>
        <el-button type="primary" @click="dialogUser = false">确 定</el-button>
      </div>
    </el-dialog>

    <el-dialog title="设置角色" :visible.sync="dialogSetRole">
      <el-form :model="form">
        <el-form-item>
          <el-checkbox-group v-model="checkedCities">
            <el-row v-for="city in cities" :key="city">
              <el-col :span="8">
                  <el-checkbox :label="city">{{city}}</el-checkbox>
              </el-col>
            </el-row>
          </el-checkbox-group>
        </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button @click="dialogSetRole = false">取 消</el-button>
        <el-button type="primary" @click="dialogSetRole = false">确 定</el-button>
      </div>
    </el-dialog>

  </div>
</template>

<script>
import { getGoodsStatus } from "@/api/goodsManage/goodsManage";

export default {
  name: "PlacardManage",
  components: {

  },
  data() {
    return {
      headerData: [],
      buttonshow: 0,
      isShow: false,
      list: {
        name: null,
        pageNum:1,
        pageSize:10,
        status: "START"
      },
      tableData: [
        {
          id: "00001",
          userName: "咖啡",
          realName: "等等",
          phone: 12,
          status: 0,
        }
      ],
      total:0,
      form:{
        password:null,
        phone:null,
        realName:null,
        userName:null
      },
      checkedCities:['上海', '北京'],
      cities:['上海', '北京', '广州', '深圳'],
      tipsTitle: null,
      tipsDialog: false,
      tipsText: null,
      userTitle:null,
      dialogUser:false,
      dialogSetRole:false
    };
  },
  created() {
    // this.getStatus();
  },
  methods: {
    headerButtonClick(index, status) {
      console.log(status);
    },
    getStatus() {
      getStatus().then(res => {
        this.headerData = res.data;
      });
    },
    showHelp() {
      this.isShow = !this.isShow;
    },
    search() {},
    reset() {},
    goodsNameRemote() {},
    addUser() {
      this.userTitle='添加用户'
      this.dialogUser = true;
    },
    exportGoods() {},
    editUser() {
      this.userTitle='编辑用户'
      this.dialogUser = true;
    },
    goodsDisable() {
      this.tipsDialog = true;
      this.tipsTitle = "禁用商品";
      this.tipsText = "确定禁用该商品？";
    },
    goodsEnable() {
      this.tipsDialog = true;
      this.tipsTitle = "启用商品";
      this.tipsText = "确定启用该商品？";
    },
    setRole() {
      this.dialogSetRole = true;
    },
    pageSizeChange() {},
    currentPageChange() {},
  }
};
</script>

<style scoped lang='less'>
@color: #f3f3f3;
.goods-manage-wrap {
  width: 100%;
  box-sizing: border-box;
  .buttonBox {
    margin-top: 10px;
    text-align: left;
    .active {
      background-color: #339999;
      border-color: #339999;
      color: #ffffff;
    }
  }
  .filterBox {
    font-size: 12px;
    background-color: #f3f3f3;
    margin-top: 10px;
    clear: both;
    border: 1px solid #e4e4e4;
    .homeBoxTop {
      height: 50px;
      display: flex;
      justify-content: space-between;
      line-height: 50px;
      padding-left: 20px;
      background-color: #f3f3f3;
      .head-left {
        display: flex;
        align-items: center;
      }
      .myicon {
        font-weight: bold;
        color: #666;
        font-size: 20px;
        line-height: 50px;
        margin-right: 5px;
      }
    }
    span {
      font-size: 14px;
      color: #303133;
    }
    .rightBox {
      float: right;
      span {
        cursor: pointer;
      }
      .myicon {
        color: #999;
        font-size: 10px;
      }
    }
    .el-button {
      float: right;
      height: 30px;
      margin: 10px 10px 0 10px;
    }
    .homeBoxBottom {
      display: flex;
      flex-wrap: wrap;
      border-top: 1px solid #e4e4e4;
      padding-top: 10px;
      /deep/.el-row {
        /deep/.el-col {
          display: flex;
          flex-wrap: nowrap;
        }
        .span-style {
          display: inline-block;
          width: 100px;
          text-align: right;
          line-height: 40px;
        }
        .el-input {
          width: 50%;
          height: 40px;
          margin-right: 10px;
          margin-bottom: 10px;
        }
        .el-select {
          width: 50%;
          height: 40px;
          margin-left: 10px;
          margin-bottom: 10px;
          .el-input {
            width: 100%;
          }
        }
        .el-autocomplete {
          width: 50%;
          height: 40px;
          .el-input {
            width: 100%;
          }
        }
      }
      .address-wrap {
        display: inline-flex;
        flex-wrap: nowrap;
        width: 80%;
        /deep/.el-select {
          width: 30%;
          .el-input {
            width: 100%;
          }
        }
      }
      .time-wrap {
        display: inline-flex;
        flex-wrap: nowrap;
        width: 100%;
        .time-title {
          width: 40%;
          display: inline-flex;
          flex-wrap: nowrap;
          /deep/.el-select {
            width: 65%;
          }
        }
        .time-box {
          width: 60%;
          height: 40px;
          display: flex;
          justify-content: flex-start;
          align-items: center;
          span {
            margin-left: 20px;
          }
          .el-date-editor {
            width: 50%;
            height: 40px;
            margin-left: 0;
            margin-bottom: 0;
          }
          .text {
            line-height: 40px;
          }
        }
      }
    }
  }
  .listBox {
    font-size: 12px;
    background-color: @color;
    border: 1px solid #e4e4e4;
    clear: both;
    margin: 10px 0 0 0;
    .listBoxTop {
      display: flex;
      justify-content: space-between;
      flex-shrink: 0;
      flex-grow: 0;
      flex-wrap: nowrap;
      .listBoxTop-left {
        margin-left: 10px;
        width: 85px;
        .myicon {
          margin-left: 20px;
          font-weight: bold;
          font-size: 20px;
        }
        span {
          margin-left: 5px;
          font-size: 14px;
          color: #303133;
          white-space: nowrap;
          line-height: 50px;
        }
      }
    }
    .listBoxRight {
      display: flex;
      justify-content: flex-end;
      flex-wrap: wrap;
      align-items: center;
      margin: 0 20px 0 0;
      .el-button {
        padding: 9px 15px;
        border-radius: 3px;
        font-size: 12px;
      }
    }
    /deep/.el-table {
      margin-top: -2px;
      /deep/.warning-row {
        background: #ffc1c1;
      }
      .el-button {
        font-size: 12px;
      }
      /deep/.class-name {
        .cell {
          color: red;
        }
      }
    }
  }
  .block {
    margin-top: 2px;
    display: flex;
    justify-content: flex-end;
  }
  /deep/.el-dialog {
    .el-dialog__header {
      text-align: left;
      background-color: #f2f2f2;
    }
    .dialog-footer {
      text-align: center;
    }
  }
  .my-scroll-bar {
    height: 200px;
  }
}
</style> 
